<!doctype html>
<html>
<head>
    <title>624-2 - HTML/CSS/JavaScript</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="ressources/css/style_start.css">
    <script type="text/javascript" src="scripts/responsive.js"></script>
</head>
<body>

<header>
    <h1>HES-SO Vs - 624-2 - HTML/CSS/JavaScript</h1>
    <nav>
        <!-- Hamburger -->
        <ul>
            <li class="hamburger">
                <img src="ressources/images/hamburger_icon.svg">
            </li>
            <li>
                <a href="description_start.html">Description</a>
            </li>
            <li>
                <a href="maquettes_start.html">Maquettes</a>
            </li>
            <li>
                <a href="mockup_start.html">Mockup</a>
            </li>
            <li>
                <a href="flux_start.html">Flux</a>
            </li>
            <li class="active">
                <a href="journal_de_bord_start.html">Journal de bord</a>
            </li>
            <li>
				<a href="jeu.html">Jeu</a>
			</li>
        </ul>
    </nav>
</header>

<main>
    <!-- Début zone pour votre contenu -->
    <section id="articles">
        <article>
            <header>
                <h2>Journal de bord</h2>
                <p>Par Zacharie Renna le 05/04/2022 à 19:04</p>
            </header>
            <h3>Rôles</h3>
            <table>
                <tr>
                    <th>Cabeiro Sergio</th>
                    <th>Clerc Théo</th>
                    <th>Renna Zacharie</th>
                    <th>Salamin Bastien</th>
                </tr>
                <tr>
                    <td>Coder</td>
                    <td>Coder</td>
                    <td>Coder</td>
                    <td>Coder</td>
                </tr>
                <tr>
                    <td>Git</td>
                    <td>Designer</td>
                    <td>Mise en page</td>
                    <td>Architecte</td>
                </tr>
            </table>
            <h3>Journal de bord</h3>
            <table id="journal">
                <tr>
                    <th>Date</th>
                    <th>Temps</th>
                    <th>Qui?</th>
                    <th>Quoi?</th>
                </tr>
                <tr><td>18.03.2022</td><td>5'</td><td>RZ</td><td>Création du Git</td></tr>
                <tr><td>29.03.2022</td><td>30'</td><td>RZ</td><td>Base du CSS</td></tr>
                <tr><td>29.03.2022</td><td>120'</td><td>CS, CT, RZ, SB</td><td>Description et censure du jeu, attribution des rôles, partage du projet</td></tr>
                <tr><td>30.03.2022</td><td>120'</td><td>SB</td><td>Conception du sketch papier des différents écrans du jeu</td></tr>
                <tr><td>30.03.2022</td><td>30'</td><td>CT</td><td>Page description et début du processus</td></tr>
                <tr><td>31.03.2022</td><td>45'</td><td>CS</td><td>Création des Maquettes et implémentation sur le site</td></tr>
                <tr><td>01.04.2022</td><td>30'</td><td>SB</td><td>Découpage et ajout des écrans mockups sur la page dédiée</td></tr>
                <tr><td>05.04.2022</td><td>15'</td><td>CT</td><td>Fin explication du processus dans la page flux</td></tr>
                <tr><td>05.04.2022</td><td>15'</td><td>SB</td><td>Finalisation page mockups</td></tr>
                <tr><td>05.04.2022</td><td>120'</td><td>RZ</td><td>Base JavaScript</td></tr>
                <tr><td>14.04.2022</td><td>120'</td><td>RZ</td><td>Mise à jour JavaScript</td></tr>
                <tr><td>16.04.2022</td><td>60'</td><td>SB</td><td>Création du sprite du requin</td></tr>
                <tr><td>20.04.2022</td><td>45'</td><td>SB</td><td>Création des sprites des canards</td></tr>
                <tr><td>04.05.2022</td><td>60'</td><td>CS, CT, RZ, SB</td><td>Répartition du reste du travail</td></tr>
                <tr><td>10.05.2022</td><td>120'</td><td>SB</td><td>Modification pop-up username, ajout de la géolocalisation et affichage du score joueur à sauvegarder</td></tr>
                <tr><td>11.05.2022</td><td>90'</td><td>SB</td><td>Ajout d'un tableau de résultats à la fin du jeu, tentative de lecture d'un fichier JSON</td></tr>
                <tr><td>11.05.2022</td><td>45'</td><td>CS</td><td>Enregistrement et édition de vidéo d'introduction</td></tr>
                <tr><td>12.05.2022</td><td>45'</td><td>CT</td><td>Définitions des niveaux du jeu</td></tr>
                <tr><td>12.05.2022</td><td>90'</td><td>CS</td><td>Correction du code des requins pour les enlever à la fin du niveau</td></tr>
                <tr><td>12.05.2022</td><td>30'</td><td>CS</td><td>Insertion du timer pendant le jeu et avant le jeu</td></tr>
                <tr><td>12.05.2022</td><td>60'</td><td>RZ</td><td>Diverses images</td></tr>
                <tr><td>16.05.2022</td><td>30'</td><td>SB</td><td>Utilisation de l'API ""locationiq"" pour obtenir la ville suite à la géolocalisation</td></tr>
                <tr><td>18.05.2022</td><td>120'</td><td>SB</td><td>Tentative de communication avec un fichier JSON pour le tableau des scores, puis utilisation de localStorage</td></tr>
                <tr><td>19.05.2022</td><td>90'</td><td>RZ</td><td>Responsive</td></tr>
                <tr><td>20.05.2022</td><td>30'</td><td>SB</td><td>Correction du tableau des scores et ajout de scores à battre</td></tr>
                <tr><td>26.05.2022</td><td>45'</td><td>CT</td><td>Début du Google Doc, relations entre compétences et code</td></tr>
                <tr><td>02.06.2022</td><td>60'</td><td>CS, CT, RZ, SB</td><td>Mise en commun, corrections de bugs ajout d'un bouton skip pour la vidéo</td></tr>
                <tr><td>02.06.2022</td><td>60'</td><td>CS</td><td>Drag and drop</td></tr>
                <tr><td>04.06.2022</td><td>120'</td><td>CS, CT, RZ, SB</td><td>Préparation de la présentation</td></tr>
                <tr><td>04.06.2022</td><td>30'</td><td>CS, CT, RZ, SB</td><td>Déploiement du jeu</td></tr>
                <tr><td>06.06.2022</td><td>60'</td><td>CT</td><td>Finition du Google Doc</td></tr>
                <tr><td>07.06.2022</td><td>120'</td><td>CS, CT, RZ, SB</td><td>Modification des derniers détails et déploiement final du jeu</td></tr>
                <tr><td>TOTAL</td><td>34h 20min</td><td>CS, CT, RZ, SB</td><td>Durée totale du projet</td></tr>
            </table>
        </article>
    </section>
    <!-- >Fin zone pour votre contenu -->
</main>
    
    <footer>
        <img id="logo" src="ressources/images/logo.png">
    </footer>

</body>
</html>
